$(document).ready(function() {
    $('.drag').draggable({
      appendTo: 'body',
      helper: 'clone'
    });

    $('#from-droparea').droppable({
      activeClass: 'active',
      hoverClass: 'hover',
      accept: ":not(.ui-sortable-helper)", // Reject clones generated by sortable
      drop: function(e, ui) {
        getFieldHTML($(this), ui);
      }
    }).sortable({
      items: '.form-row',
      sort: function() {
        $(this).removeClass("active");
      }
    });

    $("body").on("blur", ".add-more", function() {

      var addMoreInput = $(this);
      // Split options into array
      var selectboxOptions = $(this).val().split(',');

      // Add the options to the selectbox
      $.each(selectboxOptions, function(index, optionCalue) {
        $(addMoreInput).parent().find("select").append("<option value='" + optionCalue + "'>" + optionCalue + "</option>")
      });
    });

    $("body").on("click", ".remove", function() {
      $(this).parent().detach();
    });
  });

  function getFieldHTML(uiContext, uiElement) {
    $.ajax({
        url: "form_field/get",
        data: {
          "field_type": uiElement.draggable.text()
        },
        context: uiContext
      }).done(function(fieldHTML) {
        var formRow = $('<div class="form-row">' + fieldHTML);
        formRow.append($('<button type="button" class="btn btn-xs remove"><span class="glyphicon glyphicon-trash"></span></button>'));
        $(this).append(formRow);
      });
  }